# frozen_string_literal: true

module Tilt
  class HrbTemplate < Tilt::Template
    def prepare; end

    def evaluate(scope, locals, &block)
      builder = Hrb::Template.new(locals: locals, scope: scope)

      if block
        builder.capture(&block)
      else
        builder.instance_eval(data)
      end

      builder.to_s
    end
  end

  register Tilt::HrbTemplate, "rb"
end
